[Qgis-user] Segmentation fault...

Martin Dobias wonder.sk at gmail.com
Mon Mar 1 15:54:55 EST 2010


On Mon, Mar 1, 2010 at 7:16 PM, Micha Silver <micha at arava.co.il> wrote:
> Luigi Castro Cardeles wrote:
>>
>> Thanks Martin,
>>
>> i use a compiled qgis.
>> For Fedora Users, i think that this update comes with kde-4.4.0 updates.
>> []'s
>>
> I also have a self compiled qgis 1.4.  After updating to the new PyQt4 and
> sip (also updated qt and qt-x11 packages) last week, I recompiled, and still
> get the segfault. And again, after switching to xfce, QGIS starts fine.
> Under Gnome, QGIS will start only if run as super user. So my guess is that
> the problem is some interaction between Gnome and Qt in the newer packages.

To check whether this hypothesis is correct, you can try to run some
other Qt application(s) within your gnome environment.

Another reason of the crash could be a malfunctioning plugin...

Martin


More information about the Qgis-user mailing list